package com.ssj.service.conch.schoolmaster.dto;

import java.io.Serializable;
import java.util.List;

public class CourseManagementInfoDto implements Serializable{

	private static final long serialVersionUID = 1L;

	private int handleTimeoutCount; //超时未处理数量
	private int noCheckHomeworkCount;//作业待批改数量
	private int noAnswerProblemCount; //难题待解答数量
	private int noFeedbackHomeworkCount; //作业待反馈数量
	
	private List<TeacherTaskDto> teacherTaskList; //老师教务工作列表
	
	private List<VipStudyDto> vipStudyList; //一辅导学习计划

	public int getHandleTimeoutCount() {
		return handleTimeoutCount;
	}

	public void setHandleTimeoutCount(int handleTimeoutCount) {
		this.handleTimeoutCount = handleTimeoutCount;
	}

	public int getNoCheckHomeworkCount() {
		return noCheckHomeworkCount;
	}

	public void setNoCheckHomeworkCount(int noCheckHomeworkCount) {
		this.noCheckHomeworkCount = noCheckHomeworkCount;
	}

	public int getNoAnswerProblemCount() {
		return noAnswerProblemCount;
	}

	public void setNoAnswerProblemCount(int noAnswerProblemCount) {
		this.noAnswerProblemCount = noAnswerProblemCount;
	}

	public int getNoFeedbackHomeworkCount() {
		return noFeedbackHomeworkCount;
	}

	public void setNoFeedbackHomeworkCount(int noFeedbackHomeworkCount) {
		this.noFeedbackHomeworkCount = noFeedbackHomeworkCount;
	}

	public List<TeacherTaskDto> getTeacherTaskList() {
		return teacherTaskList;
	}

	public void setTeacherTaskList(List<TeacherTaskDto> teacherTaskList) {
		this.teacherTaskList = teacherTaskList;
	}

	public List<VipStudyDto> getVipStudyList() {
		return vipStudyList;
	}

	public void setVipStudyList(List<VipStudyDto> vipStudyList) {
		this.vipStudyList = vipStudyList;
	}

}
